Bug 1845923 - No way to check installed kuryr-k8s-controller package version within pod
Summary: No way to check installed kuryr-k8s-controller package version within pod
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: 4.3.z
Assignee: Michał Dulko
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1845921
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-10 12:58 UTC by Michał Dulko
Modified: 2020-07-14 16:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1845921
Environment:
Last Closed: 2020-07-14 16:11:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 273 None closed Bug 1845923: Get RPM and Kuryr version from git 2020-07-07 05:11:20 UTC
Red Hat Product Errata RHBA-2020:2872 None None None 2020-07-14 16:12:06 UTC

Comment 7 rlobillo 2020-07-07 09:20:40 UTC
Verified on OCP4.3.0-0.nightly-2020-07-06-074036:

(overcloud) [stack@undercloud-0 ~]$ oc get pods -n openshift-kuryr
NAME                                READY   STATUS    RESTARTS   AGE
kuryr-cni-4jwgl                     1/1     Running   0          18h
kuryr-cni-5ncjr                     1/1     Running   0          18h
kuryr-cni-lwvrs                     1/1     Running   2          18h
kuryr-cni-ml5kg                     1/1     Running   2          18h
kuryr-cni-mpljs                     1/1     Running   1          18h
kuryr-cni-zm4r7                     1/1     Running   4          18h
kuryr-controller-77ff6978f8-h7wsj   1/1     Running   3          18h

(overcloud) [stack@undercloud-0 ~]$ oc rsh -n openshift-kuryr kuryr-controller-77ff6978f8-h7wsj 
sh-4.4$ kuryr-k8s-controller --version
4.3.28
sh-4.4$ python3 -m pip freeze | grep kuryr
The directory '/var/lib/kuryr/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
kuryr-kubernetes==4.3.28
kuryr-lib==1.1.1
sh-4.4$

Comment 9 errata-xmlrpc 2020-07-14 16:11:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2872


Note You need to log in before you can comment on or make changes to this bug.